<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.xml.ui" name="%pluginName" version="5.0.1"
        provider-name="%providerName"
        class="com.metamatrix.modeler.xml.ui.ModelerXmlUiPlugin">

   <runtime>
      <library name="modelerXmlUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerXmlUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.metamodels.xml"/>
      <import plugin="com.metamatrix.metamodels.xsd"/>
      <import plugin="com.metamatrix.modeler.mapping.ui"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.transformation.ui"/>
      <import plugin="com.metamatrix.modeler.diagram.ui"/>
      <import plugin="com.metamatrix.modeler.mapping"/>
      <import plugin="com.metamatrix.modeler.xml"/>
   </requires>


   <extension id="xmlVirtualDocumentBuilder" name="%xmlVirtualDocumentBuilder"
              point="com.metamatrix.modeler.ui.newModelWizardContributor">
      <class name="com.metamatrix.modeler.internal.xml.ui.wizards.VirtualDocumentWizardContributor"
             icon="icons/full/ctool16/newmodel_wiz.gif">
      </class>
      <metamodelDescriptorType name="http://www.metamatrix.com/metamodels/XmlDocument" isPhysical="false"
                               isVirtual="true">
      </metamodelDescriptorType>
   </extension>
   <extension id="XmlChoiceObjectEditorPage" name="%xmlChoiceEditorName"
              point="com.metamatrix.modeler.ui.modelObjectEditorPage">
      <class name="com.metamatrix.modeler.xml.ui.editor.XmlChoiceObjectEditorPage">
      </class>
   </extension>
   <extension id="xmlDocumentWizard" name="%xmlDocumentWizardName"
              point="com.metamatrix.modeler.ui.newModelObjectWizard">
      <class name="com.metamatrix.modeler.internal.xml.ui.wizards.XMLDocumentWizard">
      </class>
      <descriptorType name="com.metamatrix.metamodels.xml.XmlDocument">
      </descriptorType>
   </extension>
   <extension id="newChildFromSchema" name="%newChildFromSchema"
              point="com.metamatrix.modeler.ui.newChildAction">
      <class name="com.metamatrix.modeler.internal.xml.ui.actions.BuildFromSchemaAction">
      </class>
   </extension>
   <!-- Actions contributed to the object/model generation -->
   <extension id="com.metamatrix.modeler.internal.ui.actions.CreateXmlViewFromXsdAction"
              name="%createXmlViewFromXsdAction.name"
              point="com.metamatrix.modeler.ui.modelObjectSpecialAction">
      <specialAction name="com.metamatrix.modeler.internal.xml.ui.actions.CreateXmlViewFromXsdAction"
                     label="%createXmlViewFromXsdAction.label">
      </specialAction>
   </extension>
   <!-- Actions contributed to the object/model generation -->
   <extension id="com.metamatrix.modeler.internal.ui.actions.ViewXmlMessageStructureAction"
              name="%viewXmlMessageStructureAction.name"
              point="com.metamatrix.modeler.ui.modelObjectSpecialAction">
      <specialAction name="com.metamatrix.modeler.internal.xml.ui.actions.ViewXmlMessageStructureAction"
                     label="%viewXmlMessageStructureAction.label">
      </specialAction>
   </extension>

</plugin>